/*
  - GEOSITE,geolocation-!cn,proxy
  - GEOSITE,cn,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,proxy
*/

class Rule {
  final String type;
  final String condition;
  final String action;

  Rule({
    required this.type,
    required this.condition,
    required this.action,
  });

  factory Rule.fromMap(Map<String, dynamic> map) {
    return Rule(
      type: map['type'],
      condition: map['condition'],
      action: map['action'],
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'type': type,
      'condition': condition,
      'action': action,
    };
  }

  String toYaml() {
    return '''
  - $type,$condition,$action
''';
  }
}
